![Relase Status](https://git.kjan.de/jank/LF8/actions/workflows/release.yml/badge.svg?event=push)
![QS Status](https://git.kjan.de/jank/LF8/actions/workflows/qs.yml/badge.svg?event=push)
![Gitea Release](https://img.shields.io/gitea/v/release/jank/LF8?gitea_url=https%3A%2F%2Fgit.kjan.de&style=plastic)
![Gitea Last Commit](https://img.shields.io/gitea/last-commit/jank/LF8?gitea_url=https%3A%2F%2Fgit.kjan.de&style=plastic)

## Code analysis coverage issues and results of linting MAY be found here: 
https://sonarqube.kjan.de/dashboard?id=LF8&codeScope=overall

# Starter für das LF08 Projekt

## Requirements
* Docker https://docs.docker.com/get-docker/
* Docker compose (bei Windows und Mac schon in Docker enthalten) https://docs.docker.com/compose/install/

## Endpunkt
```
http://localhost:8080
```
## Swagger
```
http://localhost:8080/swagger
```


# Postgres
### Terminal öffnen
für alles gilt, im Terminal im Ordner docker/local sein
```bash
cd docker/local
```
### Postgres starten
```bash
docker compose up
```
Achtung: Der Docker-Container läuft dauerhaft! Wenn er nicht mehr benötigt wird, sollten Sie ihn stoppen.

### Postgres stoppen
```bash
docker compose down
```

### Postgres Datenbank wipen, z.B. bei Problemen
```bash
docker compose down
docker volume rm local_lf8_starter_postgres_data
docker compose up
```

### Intellij-Ansicht für Postgres Datenbank einrichten
```bash
1. Lasse den Docker-Container mit der PostgreSQL-Datenbank laufen
2. im Ordner resources die Datei application.properties öffnen und die URL der Datenbank kopieren
3. rechts im Fenster den Reiter Database öffnen
4. In der Database-Symbolleiste auf das Datenbanksymbol mit dem Schlüssel klicken
5. auf das Pluszeichen klicken
6. Datasource from URL auswählen
7. URL der DB einfügen und PostgreSQL-Treiber auswählen, mit OK bestätigen
8. Username lf8_starter und Passwort secret eintragen (siehe application.properties), mit Apply bestätigen
9. im Reiter Schemas alle Häkchen entfernen und lediglich vor lf8_starter_db und public Häkchen setzen
10. mit Apply und ok bestätigen 
```
# Keycloak

### Keycloak Token
1. Auf der Projektebene [GetBearerToken.http](requests/GetBearerToken.http) öffnen.
2. Neben der Request auf den grünen Pfeil drücken
3. Aus dem Reponse das access_token kopieren

# Conventions

### Commits
Commits and merge request names MUST be done as documented here: https://www.conventionalcommits.org/en/v1.0.0/
Merge request titles MAY also include the ticket id from our jira tickets if the Merge request is part of a ticket. The jira board can be opened through the issues tab.