package de.szut.lf8_starter.project.mapper;

import de.szut.lf8_starter.employee.EmployeeService;
import de.szut.lf8_starter.project.ProjectEntity;
import de.szut.lf8_starter.project.dto.employee.GetEmployeeDto;
import de.szut.lf8_starter.project.dto.employee.GetEmployeesFromProjectDto;
import org.springframework.stereotype.Service;

import java.util.ArrayList;

@Service
public class EmployeeFromProjectMapper {
    private final EmployeeService employeeService;

    public EmployeeFromProjectMapper(EmployeeService employeeService) {
        this.employeeService = employeeService;
    }

    public GetEmployeesFromProjectDto mapToGetEmployeesFromProjectDto(ProjectEntity projectEntity, String accessToken) {
        GetEmployeesFromProjectDto getEmployeesFromProjectDto = new GetEmployeesFromProjectDto();
        getEmployeesFromProjectDto.setProjectId(projectEntity.getId());
        getEmployeesFromProjectDto.setProjectDescription(projectEntity.getComment());

        ArrayList<GetEmployeeDto> employeeDtos = new ArrayList<>();
        for (long id : projectEntity.getEmployees()) {
            GetEmployeeDto getEmployeeDto = this.employeeService.getEmployee(accessToken, id);

            employeeDtos.add(getEmployeeDto);
        }

        getEmployeesFromProjectDto.setEmployees(employeeDtos);

        return getEmployeesFromProjectDto;
    }
}
